Ubuntu

gnome-sharp2 transition

Reported by Luca Falavigna on 2009-01-06
118
This bug affects 12 people
Affects Status Importance Assigned to Milestone
banshee (Ubuntu)
Medium
Unassigned
banshee-extension-mirage (Ubuntu)
Medium
Unassigned
beagle (Ubuntu)
Medium
Unassigned
blam (Ubuntu)
Medium
Unassigned
dfo (Ubuntu)
Medium
Unassigned
drapes (Ubuntu)
Medium
Unassigned
evolution-sharp (Ubuntu)
Medium
Unassigned
f-spot (Ubuntu)
Medium
Unassigned
galago-gtk-sharp (Ubuntu)
Medium
Unassigned
gbrainy (Ubuntu)
Medium
Unassigned
gecko-sharp2 (Ubuntu)
Medium
Unassigned
gfax (Ubuntu)
Medium
Unassigned
giver (Ubuntu)
Medium
Iulian Udrea
gnome-desktop-sharp2 (Ubuntu)
Medium
Unassigned
gnome-do (Ubuntu)
Medium
Chris Halse Rogers
gnome-do-plugins (Ubuntu)
Medium
Chris Halse Rogers
gnome-rdp (Ubuntu)
Medium
Unassigned
gshare (Ubuntu)
Medium
Unassigned
gtksourceview-sharp2 (Ubuntu)
Medium
Unassigned
gtwitter (Ubuntu)
Medium
Unassigned
hipo (Ubuntu)
Medium
Unassigned
last-exit (Ubuntu)
Medium
Unassigned
lat (Ubuntu)
Medium
Unassigned
libflickrnet (Ubuntu)
Medium
Unassigned
mono (Ubuntu)
Medium
Unassigned
mono-addins (Ubuntu)
Medium
Unassigned
monodevelop (Ubuntu)
Medium
Unassigned
monodevelop-boo (Ubuntu)
Medium
Unassigned
monodevelop-java (Ubuntu)
Medium
Unassigned
mono-tools (Ubuntu)
Medium
Unassigned
muine (Ubuntu)
Medium
Unassigned
muinescrobbler (Ubuntu)
Medium
Unassigned
taglib-sharp (Ubuntu)
Medium
Unassigned
tangerine (Ubuntu)
Medium
Unassigned
tomboy (Ubuntu)
Medium
Unassigned
Stefan Ebner (sebner) on 2009-01-06
Changed in mono:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mono - 2.0.1-0ubuntu3

---------------
mono (2.0.1-0ubuntu3) jaunty; urgency=low

  * Rebuild for gnome-sharp2 transition (LP: #314516)

 -- Stefan Ebner <email address hidden> Tue, 06 Jan 2009 22:07:16 +0100

Changed in mono:
status: Fix Committed → Fix Released
Changed in f-spot:
importance: Undecided → Medium
Changed in gnome-desktop-sharp2:
importance: Undecided → Medium
status: New → Confirmed
Changed in libflickrnet:
importance: Undecided → Medium
status: New → Confirmed
Changed in mono:
importance: Undecided → Medium
Changed in mono-addins:
importance: Undecided → Medium
status: New → Confirmed
Changed in mono-tools:
importance: Undecided → Medium
status: New → Confirmed
Changed in tomboy:
importance: Undecided → Medium
status: New → Confirmed
status: Confirmed → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mono-addins - 0.3.1-5ubuntu2

---------------
mono-addins (0.3.1-5ubuntu2) jaunty; urgency=low

  * Rebuild for gnome-sharp2 transition (LP: #314516)
  * debian/control:
    Replace libgnome2.0-cil with libgnome2.24-cil

 -- Stefan Ebner <email address hidden> Wed, 07 Jan 2009 11:38:16 +0100

Changed in mono-addins:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mono-tools - 2.0-0ubuntu2

---------------
mono-tools (2.0-0ubuntu2) jaunty; urgency=low

  * Rebuild for gnome-sharp2 transition (LP: #314516)
  * debian/control:
    Replace lib{gnome/gconf}2.0-cil with lib{gnome/gconf}2.24-cil
    and bump versioning

 -- Stefan Ebner <email address hidden> Wed, 07 Jan 2009 10:51:22 +0100

Changed in mono-tools:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libflickrnet - 25277-6ubuntu3

---------------
libflickrnet (25277-6ubuntu3) jaunty; urgency=low

  * Rebuild for gnome-sharp2 transition (LP: #314516)
  * debian/control:
    Replace libgnome2.0-cil with libgnome2.24-cil and bump versioning

 -- Stefan Ebner <email address hidden> Wed, 07 Jan 2009 11:46:19 +0100

Changed in libflickrnet:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-desktop-sharp2 - 2.20.1-2ubuntu7

---------------
gnome-desktop-sharp2 (2.20.1-2ubuntu7) jaunty; urgency=low

  * Rebuild for gnome-sharp2 transition (LP: #314516)
  * debian/control:
    Replace libgnome2.0-cil with libgnome2.24-cil and bump versioning

 -- Stefan Ebner <email address hidden> Wed, 07 Jan 2009 12:08:01 +0100

Changed in gnome-desktop-sharp2:
status: Confirmed → Fix Released

I'm unsubscribing the Sponsors' Team for now. Please re-subscribe when ready.

Changed in gnome-do-plugins:
importance: Undecided → Medium
Changed in gnome-do:
importance: Undecided → Medium
Changed in banshee:
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package banshee - 1.4.1-1ubuntu2

---------------
banshee (1.4.1-1ubuntu2) jaunty; urgency=low

  * debian/control:
    + gnome-sharp transition (LP: #314516):
      - Build-depend on lib{gconf,gnome}2.24-cil, rather than 2.0-cil

 -- Christopher James Halse Rogers <email address hidden> Thu, 15 Jan 2009 13:33:12 +1100

Changed in banshee:
status: New → Fix Released
Changed in f-spot:
status: New → Confirmed
Changed in tomboy:
status: New → Confirmed
Changed in gnome-do:
status: New → Confirmed
Changed in gnome-do-plugins:
status: New → Confirmed
spitfire (mieszkoslusarczyk) wrote :

Already filed bug and solution: 319191

spitfire (mieszkoslusarczyk) wrote :

Dependencies to change:
+ libgnome2.0-cil -> libgnome2.24-cil
+ libgconf2.0-cil -> libgconf2.24-cil
+ add libgnomepanel2.24-cil

Also it is needed to import gnome-desktop-sharp2_2.24.0-1 from debian (which needs adding libgnomeprintui2.2-dev to build-deps).

Packages for testing can be found in my PPA (https://edge.launchpad.net/~mieszkoslusarczyk/+archive/ppa)

spitfire (mieszkoslusarczyk) wrote :

I forgot to write, that the comment above affects tomboy.

Iulian Udrea (iulian) on 2009-01-21
Changed in giver:
assignee: nobody → iulian
importance: Undecided → Medium
status: New → In Progress
Iulian Udrea (iulian) on 2009-01-21
Changed in giver:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package giver - 0.1.8-3ubuntu1

---------------
giver (0.1.8-3ubuntu1) jaunty; urgency=low

  * debian/control:
    - gnome-sharp2 transition (LP: #314516)
      + Build-Depend on libgnome2.24-cil and update its version.

 -- Iulian Udrea <email address hidden> Wed, 21 Jan 2009 08:29:52 +0000

Changed in giver:
status: Fix Committed → Fix Released
spitfire (mieszkoslusarczyk) wrote :

For f-spot I needed to change these deps for it to work:

+ Change build depends libgnome2.0-cil -> libgnome2.24-cil
      + Change build depends libgconf2.0-cil -> libgconf2.24-cil
      + Change build depends libgnome-vfs2.0-cil -> libgnome-vfs2.24-cil
      + Add libmono-cairo1.0-cil to build depends

Don't know why, but installing only libmono-cairo2.0-cil resulted in ./configure script saying, that mono-cairo is not installed.

Experimental package in my PPA (https://edge.launchpad.net/~mieszkoslusarczyk/+archive/ppa)

Chris Halse Rogers (raof) wrote :

Please don't build-depend on 1.0 profile libs (libmono-cairo1.0-cil). You'll need to either patch configure to make the check work, pass in CAIRO_CFLAGS and CAIRO_LDFLAGS (or whatever the relevant variables are) in the environment to configure, or some other method.

spitfire (mieszkoslusarczyk) wrote :

Can you create one?
Or tell me how to modify rules to set these flags?

I'll take f-spot, then.

Changed in f-spot:
assignee: nobody → raof
spitfire (mieszkoslusarczyk) wrote :

Could you take a look at mine attempt to adapt tomboy(https://bugs.launchpad.net/ubuntu/+source/f-spot/+bug/314516/comments/14)? It looks ok for me, and I didn't have to do any strange combinations like in f-spot.

spitfire (mieszkoslusarczyk) wrote :

I'm having problem adapting monodevelop for new gnome-sharp2 packaging.
I've backported gnome-desktop-sharp2 from debian (see https://bugs.launchpad.net/ubuntu/+source/f-spot/+bug/314516/comments/14), but it needs more work.

I've changed dependencies for monodevelop:

libgnome2.0-cil -> libgnome2.24-cil
libgconf2.0-cil -> libgconf2.24-cil
libgtksourceview2.0-cil -> libgtksourceview2-2.0-cil

but ./configure script complains about gtksourceview-sharp-2.0 not found:

checking for GTKSOURCEVIEW_SHARP... configure: error: Package requirements (gtksourceview-sharp-2.0 >= 0.10) were not met:

No package 'gtksourceview-sharp-2.0' found

spitfire (mieszkoslusarczyk) wrote :

Is there a field "bug depends on" ?
Well, it should depend on #317344.

Luca Falavigna (dktrkranz) wrote :

For f-spot, you could add this line to configure flags:
F_LIBS=-r:Mono.Cairo F_CFLAGS=" "

Chris Halse Rogers (raof) wrote :

I thought of that, but it's going to remove all the _other_ libs that
f-spot gets from that line; namely *all* of them.

I'll give it a try, but I don't expect it to work. I'd need to
hardcode references to all the libs in there. I'd prefer for
libmono-cairo2.0-cil to actually grow a pkgconfig file (bug 319866).

spitfire (mieszkoslusarczyk) wrote :

In monodevelot even specifying GTKSOURCEVIEW_SHARP_CFLAGS="/usr/lib/mono/gtksourceview2-sharp-2.0/", before dpkg-buildpackage, doesn't help. It must be bug in monodevelop itself, couldn't find any info on novell's bugzilla:/

spitfire (mieszkoslusarczyk) wrote :

Obviously above method didn't work:P
But nor did GTKSOURCEVIEW_SHARP_LIBS="/usr/lib/mono/gtksourceview2-sharp-2.0/" :/

Changed in banshee-extension-mirage:
importance: Undecided → Medium
Changed in beagle:
importance: Undecided → Medium
Changed in blam:
importance: Undecided → Medium
Changed in dfo:
importance: Undecided → Medium
Changed in drapes:
importance: Undecided → Medium
Changed in evolution-sharp:
importance: Undecided → Medium
Changed in galago-gtk-sharp:
importance: Undecided → Medium
Changed in gbrainy:
importance: Undecided → Medium
Changed in gecko-sharp2:
importance: Undecided → Medium
Changed in gfax:
importance: Undecided → Medium
Changed in gtksourceview-sharp2:
importance: Undecided → Medium
Changed in gtwitter:
importance: Undecided → Medium
Changed in hipo:
importance: Undecided → Medium
Changed in last-exit:
importance: Undecided → Medium
Changed in monodevelop:
importance: Undecided → Medium
Changed in gnome-rdp:
importance: Undecided → Medium
Changed in gshare:
importance: Undecided → Medium
Changed in lat:
importance: Undecided → Medium
Changed in monodevelop-boo:
importance: Undecided → Medium
Changed in monodevelop-java:
importance: Undecided → Medium
Changed in muine:
importance: Undecided → Medium
Changed in muinescrobbler:
importance: Undecided → Wishlist
Changed in taglib-sharp:
importance: Undecided → Medium
Changed in tangerine:
importance: Undecided → Medium
Changed in muinescrobbler:
importance: Wishlist → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dfo - 0.7+svn51-2ubuntu1

---------------
dfo (0.7+svn51-2ubuntu1) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil
    - libgconf2.0-cil -> libgconf2.24-cil

 -- Luca Falavigna <email address hidden> Thu, 22 Jan 2009 20:32:18 +0100

Changed in dfo:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package beagle - 0.3.8-2ubuntu2

---------------
beagle (0.3.8-2ubuntu2) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil
    - libgconf2.0-cil -> libgconf2.24-cil

 -- Luca Falavigna <email address hidden> Thu, 22 Jan 2009 20:23:00 +0100

Changed in beagle:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package banshee-extension-mirage - 0.4.0-3ubuntu1

---------------
banshee-extension-mirage (0.4.0-3ubuntu1) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgconf2.0-cil -> libgconf2.24-cil

 -- Luca Falavigna <email address hidden> Thu, 22 Jan 2009 20:16:17 +0100

Changed in banshee-extension-mirage:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gfax - 0.7.6-10ubuntu1

---------------
gfax (0.7.6-10ubuntu1) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil
    - libgconf2.0-cil -> libgconf2.24-cil

 -- Luca Falavigna <email address hidden> Fri, 23 Jan 2009 23:29:28 +0100

Changed in gfax:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package taglib-sharp - 2.0.3.0-2ubuntu1

---------------
taglib-sharp (2.0.3.0-2ubuntu1) jaunty; urgency=low

  * Replacee mono-mcs build-dep with mono-devel.
  * Add MCS=/usr/bin/csc CSC=/usr/bin/csc to configure parameters.
  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil

 -- Luca Falavigna <email address hidden> Sat, 24 Jan 2009 00:17:01 +0100

Changed in taglib-sharp:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package galago-gtk-sharp - 0.5.0-1.1ubuntu1

---------------
galago-gtk-sharp (0.5.0-1.1ubuntu1) jaunty; urgency=low

  * Replaced mono-mcs build-dep with mono-devel.
  * Add MCS=/usr/bin/csc CSC=/usr/bin/csc to configure parameters.
  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil

 -- Luca Falavigna <email address hidden> Fri, 23 Jan 2009 23:06:38 +0100

Changed in galago-gtk-sharp:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tangerine - 0.3.0+dfsg-3ubuntu2

---------------
tangerine (0.3.0+dfsg-3ubuntu2) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil
    - libgconf2.0-cil -> libgconf2.24-cil

 -- Luca Falavigna <email address hidden> Sat, 24 Jan 2009 00:09:09 +0100

Changed in tangerine:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gecko-sharp2 - 0.13-1ubuntu3

---------------
gecko-sharp2 (0.13-1ubuntu3) jaunty; urgency=low

  * Replace mono-mcs build-dep with mono-devel.
  * Add MCS=/usr/bin/csc CSC=/usr/bin/csc to configure parameters.
  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil

 -- Luca Falavigna <email address hidden> Fri, 23 Jan 2009 23:20:30 +0100

Changed in gecko-sharp2:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gbrainy - 1.00-2ubuntu1

---------------
gbrainy (1.00-2ubuntu1) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil

 -- Luca Falavigna <email address hidden> Fri, 23 Jan 2009 23:14:13 +0100

Changed in gbrainy:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hipo - 0.6.1-2ubuntu2

---------------
hipo (0.6.1-2ubuntu2) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil

 -- Luca Falavigna <email address hidden> Sat, 24 Jan 2009 12:45:13 +0100

Changed in hipo:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lat - 1.2.3-3ubuntu2

---------------
lat (1.2.3-3ubuntu2) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil
    - libgconf2.0-cil -> libgconf2.24-cil

 -- Luca Falavigna <email address hidden> Sat, 24 Jan 2009 12:57:31 +0100

Changed in lat:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gshare - 0.94-5ubuntu2

---------------
gshare (0.94-5ubuntu2) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil
    - libgconf2.0-cil -> libgconf2.24-cil

 -- Luca Falavigna <email address hidden> Sat, 24 Jan 2009 12:19:34 +0100

Changed in gshare:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-rdp - 0.2.3-1ubuntu1

---------------
gnome-rdp (0.2.3-1ubuntu1) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil

 -- Luca Falavigna <email address hidden> Sat, 24 Jan 2009 12:16:35 +0100

Changed in gnome-rdp:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package last-exit - 6-1ubuntu2

---------------
last-exit (6-1ubuntu2) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil
    - libgconf2.0-cil -> libgconf2.24-cil

 -- Luca Falavigna <email address hidden> Sat, 24 Jan 2009 12:51:46 +0100

Changed in last-exit:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtwitter - 1.0~beta-6ubuntu3

---------------
gtwitter (1.0~beta-6ubuntu3) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil
    - libgconf2.0-cil -> libgconf2.24-cil
  * Set MONO_CAIRO_LIBS=-r:Mono.Cairo to manually provide Mono.Cairo
    build informations.

 -- Luca Falavigna <email address hidden> Sat, 24 Jan 2009 12:48:04 +0100

Changed in gtwitter:
status: New → Fix Released
Changed in muine:
status: New → Confirmed
Changed in muinescrobbler:
status: New → Confirmed
Changed in blam:
status: New → Confirmed
Changed in drapes:
status: New → Confirmed

To build monodevelop with libgtksourceview2-2.0-cil, --enable-gtksourceview2 must be added in the dh_auto_configure command line in the debian/rules file.

spitfire (mieszkoslusarczyk) wrote :

Mattias Grönlund, thank you very much for the tip;)

Here's proposed new package for monodevelop:

monodevelop (1.0+dfsg-4ubuntu2) jaunty; urgency=low

   * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil
    - libgconf2.0-cil -> libgconf2.24-cil
    - libgtksourceview2.0-cil > libgtksourceview2-2.0-cil
   * Adding --enable-gtksourceview2 to dh_auto_configure in debian/rules for building against libgtksourceview2-2.0-cil

 -- Mieszko Ślusarczyk (spitfire) <email address hidden> Mon, 26 Jan 2009 22:57:18 +0100

spitfire (mieszkoslusarczyk) wrote :

It additionally needs libgtksourceview2-2.0-cil from gnome-desktop-sharp2 which can be found at https://bugs.edge.launchpad.net/ubuntu/+source/gnome-desktop-sharp2/+bug/317344

Chris Halse Rogers (raof) wrote :

F-Spot transitioned in pkg-cli-apps svn. The same changes will apply to the Ubuntu package; I'll upload a debdiff this evening.

Chris Halse Rogers (raof) wrote :

The f-spot debdiff is huge; it includes buildsystem changes - twice - one refresh of the 98_autoreconf patch, and one removing the buildsystem changes from the diff.gz.

Builds, picks up the correct dependencies, runs, and imports photos from my camera.

Changed in f-spot:
assignee: raof → nobody
Changed in f-spot:
status: Confirmed → Fix Released
Chris Halse Rogers (raof) wrote :

Gnome-Do will be fixed by uploading 0.8.0 packages. These are already in pkg-cli-apps svn.

Changed in gnome-do:
assignee: nobody → raof
Changed in gnome-do-plugins:
assignee: nobody → raof
Pedro Fragoso (ember) on 2009-02-12
Changed in tomboy:
assignee: nobody → ember
status: Confirmed → In Progress
Savvas Radevic (medigeek) wrote :

Hi, I just thought of letting you know that I had dependency problem while upgrading to jaunty alpha 4

Distributor ID: Ubuntu
Description: Ubuntu jaunty (development branch)
Release: 9.04
Codename: jaunty

$ sudo apt-get install tomboy
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  tomboy: Depends: libgconf2.0-cil (>= 2.20.0) but it is not going to be installed
          Depends: libgnome2.0-cil (>= 2.20.0) but it is not going to be installed
E: Broken packages

$ apt-cache policy tomboy
tomboy:
  Installed: (none)
  Candidate: 0.13.2-0ubuntu1
  Version table:
     0.13.2-0ubuntu1 0
        500 http://archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

Luca Falavigna (dktrkranz) wrote :

> Hi, I just thought of letting you know that I had dependency problem
> while upgrading to jaunty alpha 4
>
> The following packages have unmet dependencies:
> tomboy: Depends: libgconf2.0-cil (>= 2.20.0) but it is not going to be installed
> Depends: libgnome2.0-cil (>= 2.20.0) but it is not going to be installed
> E: Broken packages

This is due to the fact some programs have been transitioned to new
packages (i. e. f-spot) while some haven't been processed yet (i. e.
tomboy). This will be solved for good once each source package listed
above is fixed. Thank you for your feedback anyway!

Pedro Fragoso (ember) wrote :

Tomboy is just waiting to some binaries are accepted from gnome-desktop-sharp2. Tomboy requires libgnomepanel.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtksourceview-sharp2 - 0.12-1ubuntu1

---------------
gtksourceview-sharp2 (0.12-1ubuntu1) jaunty; urgency=low

  * Replace mono-mcs build-dep with mono-devel.
  * Add MCS=/usr/bin/csc CSC=/usr/bin/csc to configure parameters.
  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil
  * debian/patches/no_PrintSample.dpatch:
    - Disable PrintSample support, obsolete.

 -- Luca Falavigna <email address hidden> Sat, 14 Feb 2009 17:31:28 +0100

Changed in gtksourceview-sharp2:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package blam - 1.8.5-1ubuntu3

---------------
blam (1.8.5-1ubuntu3) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil
    - libgconf2.0-cil -> libgconf2.24-cil
  * debian/patches/20_printing_support.patch:
    - Remove obsolete GnomePrint usage, fixed in upstream SVN.

 -- Luca Falavigna <email address hidden> Sat, 14 Feb 2009 18:48:04 +0100

Changed in blam:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package monodevelop - 1.0+dfsg-4ubuntu2

---------------
monodevelop (1.0+dfsg-4ubuntu2) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil
    - libgconf2.0-cil -> libgconf2.24-cil
    - libgtksourceview2.0-cil > libgtksourceview2-2.0-cil
  * Adding --enable-gtksourceview2 to dh_auto_configure in debian/rules for
    building against libgtksourceview2-2.0-cil

 -- Mieszko Slusarczyk (spitfire) <email address hidden> Mon, 26 Jan 2009 22:57:18 +0100

Changed in monodevelop:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package monodevelop-java - 1.0-2ubuntu1

---------------
monodevelop-java (1.0-2ubuntu1) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil

 -- Stefan Ebner <email address hidden> Sat, 14 Feb 2009 21:02:36 +0100

Changed in monodevelop-java:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-do-plugins - 0.8.0.2+dfsg-1~ubuntu1

---------------
gnome-do-plugins (0.8.0.2+dfsg-1~ubuntu1) jaunty; urgency=low

  [ Christopher James Halse Rogers ]
  * New upstream version
  * debian/control:
    + gnome-sharp2 transition (LP: #314516)
    + Add banshee build-dep
    + Drop monodevelop build-dep; upstream uses mautil rather than mdtool now
    + Bump required gnome-do version in Build-Dep & Depends.
    + Suggest Banshee
  * debian/copyright:
    + Refresh for new upstream version; new plugins added.
  * debian/rules:
    + Rework clean target to simply delete files generated by autoreconf,
      rather than trying to preserve them.
    + Remove XDG_CONFIG_DIR hack needed for mdtool
  * debian/patches/01_firefox_iceweasel_rename:
    + Refresh for new upsteam changes.
    + Extend to also make the Firefox bookmark plugin index iceweasel bookmarks

  [ Iain Lane ]
  * Tag pkg-cli-apps SVN revision into Jaunty, to get in before Feature
    Freeze. Should be a sync after the next Debian upload.
  * debian/control: Add ${misc:Depends} build-dep
  * debian/rules: Do not fail if configure is missing (e.g. clean twice in a
    row)

 -- Christopher James Halse Rogers <email address hidden> Thu, 05 Feb 2009 16:58:51 +1100

Changed in gnome-do-plugins:
status: Confirmed → Fix Released
Changed in gnome-do:
status: Confirmed → Fix Released
Stefan Ebner (sebner) on 2009-02-15
Changed in f-spot:
status: Fix Released → Confirmed
Stefan Ebner (sebner) on 2009-02-15
Changed in f-spot:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package muine - 0.8.10-1ubuntu1

---------------
muine (0.8.10-1ubuntu1) jaunty; urgency=low

  * Sync with Debian, additional changes required.
  * GNOME# transition (LP: #314516). Update build-deps:
    - libgnome-vfs2-cil -> libgnome-vfs2.24-cil
    - libgconf2-cil -> libgconf2.24-cil
  * debian/rules, debian/muine.links: Symlink icon into /usr/share/pixmaps for
    desktop file.

muine (0.8.10-1) experimental; urgency=low

  [ Tim Retout ]
  * New maintainer (Closes: #458554).
  * debian/control:
    + Set maintainer to Debian CLI Applications Team.
    + Add myself to Uploaders.

  [ David Paleino ]
  * Group Policy:
    + implement get-orig-source target in debian/rules
  * debian/control:
    + dependency lines wrapped

  [ Iain Lane ]
  * New upstream release 0.8.10 (Closes: #500884, LP: #328224).
  * Update for Mono 2 transition
  * debian/patches/11_disambiguate_volume_button.diff,
  * debian/patches/10_desktop_encoding.diff:
    + Dropped, now upstream. No patches remain - quilt dropped
  * debian/rules: Call dh_gconf to correctly install schemas
  * debian/watch: Update to point to GNOME ftp
  * Update Standards-Version to 3.8.0
  * Add myself to Uploaders

  [ Mirco Bauer ]
  * debian/control:
    + Added libnotify-dev and libmusicbrainz4-dev to build-deps as dh_clideps
      needs the shlibs of them.

 -- Iain Lane <email address hidden> Sun, 15 Feb 2009 14:48:59 +0000

Changed in muine:
status: Confirmed → Fix Released
Pedro Fragoso (ember) wrote :
Pedro Fragoso (ember) wrote :
Changed in tomboy:
assignee: ember → nobody
status: In Progress → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package muinescrobbler - 0.1.8-0ubuntu4

---------------
muinescrobbler (0.1.8-0ubuntu4) jaunty; urgency=low

  * GNOME# transition (LP: #314516).
    - debian/control: libgnome2.0-cil -> libgnome2.24-cil. libgconf2.0-cil ->
      libgconf2.24-cil

 -- Iain Lane <email address hidden> Sun, 15 Feb 2009 15:32:08 +0000

Changed in muinescrobbler:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package monodevelop-boo - 1.0-3ubuntu1

---------------
monodevelop-boo (1.0-3ubuntu1) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgconf2.0-cil -> libgconf2.24-cil

 -- Luca Falavigna <email address hidden> Mon, 16 Feb 2009 10:47:02 +0000

Changed in monodevelop-boo:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package drapes - 0.5.2-1ubuntu2

---------------
drapes (0.5.2-1ubuntu2) jaunty; urgency=low

  * Adjust build-dependencies for gnome-sharp2 transition (LP: #314516):
    - libgnome2.0-cil -> libgnome2.24-cil
    - libgconf2.0-cil -> libgconf2.24-cil
  * Fix FTBFS for gnome-sharp split (thanks Jo Shields):
    - Add libgnomepanel2.24-cil to Build-Depends-Indep.
    - debian/patches/drapes-Makefile.in.patch:
      Add -pkg:gnome-panel-sharp-2.24 to the list.

 -- Luca Falavigna <email address hidden> Mon, 16 Feb 2009 11:17:21 +0000

Changed in drapes:
status: Confirmed → Fix Released
Pedro Fragoso (ember) wrote :

Tomboy 0.13.5

Pedro Fragoso (ember) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tomboy - 0.13.5-0ubuntu1

---------------
tomboy (0.13.5-0ubuntu1) jaunty; urgency=low

  * New upstream release
    - Removed bundled Mono.Addins. Mono.Addins is
      now a hard dependency.
    - Update printing to use Gtk.Print (#512369, Benjamin Podszun)
      Still buggy.
    - Fix multi-page printing of exported note HTML (#548198)
    - Fix crash when clicking link and browser not set (#569639).
    - 64-bit Windows support (#558272, Jay R. Wren).
    - Search window position saved on Windows/Mac (#559663).
    - Fix lingering tray icon in Windows (#569709, Benjamin Podszun).
    - Fix bug with font settings (#559724, Benjamin Podszun).
    - Mac MonoDevelop solution now easier to build (Doug Johnston et al).
    - Other fixes: #562846 (James Westby) #570917, #570918.
    - Additional updates to note printing (#512369, #572024
      , Benjamin Podszun).
    - Windows installer now requires Novell's GTK# >= 2.12.8 (#569324).
    - Increase/Decrease Indent shortcuts now appear in menu
      (#570334, Benjamin Podszun).
    - No longer writes to disk every 40 seconds (#514434).
    - Fixes to note linking (#323845, Florian).
    - Add GConf preference for auto-accepting SSL Certs in
      WebDAV sync (#531364).
    - After succcessfully configuring sync, offer to perform
      first sync (#553079).
  * debian/control:
    - Use libgconf2.24-cil and libgnome2.24-cil (LP: #314516)
    - Build-dep on libgnomepanel2.24-cil
    - Remove Build-dep on libgnomeprint and libgnomeprintui
    - Add Vcs headers
  * .bzr-builddeb/default.conf: added
  * debian/patches/02_configurable_compiler.patch:
    - Removed, merged upstream

 -- Pedro Fragoso <email address hidden> Tue, 17 Feb 2009 03:08:19 +0000

Changed in tomboy:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evolution-sharp - 0.19.2.1-1ubuntu1

---------------
evolution-sharp (0.19.2.1-1ubuntu1) jaunty; urgency=low

  * Sync from Debian experimental. Upstream now actually
    builds against e-d-s >= 2.24, so the package will now work on Jaunty
    (LP: #319385, #287332). FFe is (LP: #331858)
  * New upstream version installs correctly to GAC on Mono 2.0 (LP: 332105)
  * New Ubuntu changes
    + debian/control:
      - gnome-sharp2 transition: B-D on libgnome2.24-cil (LP: #314516)
    + debian/patches/fix-dllmappings:
      - SONAME change from libcamel{,-provider}1.2-11 to -14
      - libeutil lives in /usr/lib/evolution/2.26, not 2.22

evolution-sharp (0.19.2.1-1) experimental; urgency=low

  [ David Paleino ]
  * New upstream version
  * debian/copyright:
    + fixed typo in FSF address (Closes: #490261)
  * debian/patches/:
   + add_missing_conditionals.dpatch added, was using things
     unconditionally though conditionally defined.
  + evolution-sharp.pc.dpatch, fix-dllmappings.dpatch:
      descriptions added.
  * debian/control:
    + Standards-Version bumped to 3.8.0:
      - debian/README.source added

  [ Christopher James Halse Rogers ]
  * New upstream sets AssemblyDelaySign(false). Fixes library install on
    mono 2.0 (Closes: #513454)
  * debian/control:
    + Wrap Build-Depends to make changes more obvious
    + Bump package name to libevolution5.0-cil, add 3.0-cil to Replaces.
    + Add myself to Uploaders.
    + Add new B-D on libcamel1.2-dev to get necessary shlibs files.
  * Mono 2.0 transition:
    + debian/rules
      - Pass CSC=/usr/bin/csc to configure
    + debian/control
      - B-D on mono-devel (>= 2.0)
      - Bump B-D on libmono-dev to >= 2.0 to match mono-devel
  * debian/patches:
    + fix_get_uid-crasher:
      - Drop; included upstream
    + fix-dllmappings:
      - Refresh for new version.
  * debian/install:
  * debian/installcligac:
    + Update paths for 3.0 -> 5.0 ABI version change
  * debian/rules:
    + Update for 3.0 -> 5.0 ABI version change
    + New interfaces, bump API version.
  * debian/links:
    + Point evolution-sharp.pc to new evolution-sharp-5.0.pc

 -- Christopher James Halse Rogers <email address hidden> Fri, 20 Feb 2009 10:48:35 +1100

Changed in evolution-sharp:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers